@import url('https://fonts.googleapis.com/css2?family=Cairo:wght@300&display=swap');
*{
    margin: 0;
    padding: 0;
    font-family: 'Cairo', sans-serif;
}
body{
    background-color: #240019;
    width: 100%;
    height: 130vh;
    font-family: system-ui;
}
::-webkit-scrollbar {
    width: 10px;
    height: 20px;
}
::-webkit-scrollbar-thumb {
    background: linear-gradient(
        to bottom, #ff850a, #ff3474
    );
}
::-webkit-scrollbar-track {
    background-color: #474747;
}
section {
    background: url(../img/image.png);
    width: 100%;
    height: 124vh;
    padding: 6em 0;
}
.icon {
    display: flex;
    justify-content: space-evenly;
    position: relative;
    top: 60px;
}
.icon a {
    text-decoration: none;
    color: #ffff;
    margin: 10px;
    font-size: 20px;
}
.icon a i {
    margin: 10px;
}
.icon a:hover {
    color: #0d6efd;
}
h1 {
    color: #fff;
    text-align: center;
}
/* .grid {
    display: grid;
    grid-template-columns: repeat(4, auto);
    justify-content: center;
} */
.content {
    background-color: #151718;
    width: 18.5em;
    max-height: 28em;
    padding: 10px;
    white-space: pre-line;
    border-radius: 15px;
    overflow: hidden;
    margin: 10px;
}
.content::before {
    content: "Python";
    color: #fff;
    background-color: #4584b6;
    padding: 8px;
    margin: -13px;
    border-radius: 0px;
}
section .content h4 {
    font-size: 18px;
    color: #fff;
    text-align: center;
    padding: 10px;
}
textarea {
    resize: none;
    width: 21em;
    height: 20em;
    margin: -14px auto;
    padding: 0 5px;
}
section button {
    background-color: #4584b6;
    padding: 10px;
    border: none;
    border-radius: 10px;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
}

@media (min-width: 320px) {
    .grid {
        display: grid;
        grid-template-columns: repeat(1, auto);
        justify-content: center;
    }
}

@media (min-width: 768px) { 
    .grid {
        display: grid;
        grid-template-columns: repeat(2, auto);
        justify-content: center;
    }
}

@media (min-width: 992px) {
    .grid {
    display: grid;
    grid-template-columns: repeat(3, auto);
    justify-content: center;
}}


@media (min-width: 1400px) {
    .grid {
        display: grid;
        grid-template-columns: repeat(4, auto);
        justify-content: center;
    }
}

@media (min-width: 1800px) {
    .grid {
        display: grid;
        grid-template-columns: repeat(5, auto);
        justify-content: center;
    }
}

@media (min-width: 2100px) {
    .grid {
        display: grid;
        grid-template-columns: repeat(6, auto);
        justify-content: center;
    }
}